<script setup lang="ts">
import Flex from "@/components/atoms/container/Flex.vue";
import MergeRequest from "@/entities/MergeRequest/MergeRequest";
import SectionSection from "@/components/organisms/section/MergeRequest/SectionSection.vue";
import {computed} from "vue";
import TextContainer from "@/components/atoms/container/TextContainer.vue";

const props = defineProps<{
  mergeRequest: MergeRequest,
  hasFocus: Boolean,
  updateMergeRequestHandler: undefined|Function,
  disabled?: undefined|Boolean
}>();

const sortedSection = computed(() => {
  props.mergeRequest?.bindMissingSection();
  props.mergeRequest?.sortSections();
  return props.mergeRequest?.sections;
})

</script>

<template>
  <Flex class="grow flex-col p-container gap-text">
    <TextContainer no-wrap class="items-center font-bold text-lg">
      <span># {{ mergeRequest.name }}</span>
    </TextContainer>
    <hr/>
    <SectionSection :disabled="disabled" :hasFocus="hasFocus" :section="section" :key="'section_' + section.code" v-for="(section) of sortedSection"/>
  </Flex>
</template>
